
import java.lang.String;

public class test_iris {

	public static void main(String[] args) {
	    String [] AryStgLines = args [ 0 ].split("\r\n");
		TIris Iris = new TIris ();
		for ( int LngCurrRow = 0; LngCurrRow < AryStgLines.length; LngCurrRow++ )
		{
			  String StgCurrLine = AryStgLines [ LngCurrRow ];
			  String AryStgDelimiters = new String(" "); 
		      String[] AryStgItems = StgCurrLine.split(AryStgDelimiters);
			  int LngNumItems = AryStgItems.length;
			  double [] AryDblRow = new double [ LngNumItems ];
			  for ( int LngCurrItem = 0; LngCurrItem < LngNumItems; LngCurrItem++ )
			  {
			    AryDblRow [ LngCurrItem ] = Double.parseDouble( AryStgItems [ LngCurrItem ] );
			  } //end for (LngCurrItem)
			
			  double [] AryDblOutput = Iris.Recall ( AryDblRow );
			  String StgOutput = new String("");
			  for ( int LngCurrOutput = 0; LngCurrOutput < TIris.OutputNodes; LngCurrOutput++ )
			  {
			    StgOutput = StgOutput +  AryDblOutput [ LngCurrOutput ] + " ";
			  } //end for (LngCurrOutput)
			  System.out.println( StgOutput );
		}
	}
}
